Bug 1212947 - [RFE] Openstack discovery UnderCloud Only
Summary: [RFE] Openstack discovery UnderCloud Only
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Gilles Dubreuil
QA Contact: Omri Hochman
URL:
Whiteboard: openstack
Depends On:
Blocks: 1552665 1555371 1598253
TreeView+ depends on / blocked
 
Reported: 2015-04-17 17:58 UTC by Milan Falešník
Modified: 2019-02-07 23:02 UTC (History)
14 users (show)

Fixed In Version: 5.10.0.11
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1552665 (view as bug list)
Environment:
Last Closed: 2019-02-07 23:02:13 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)
Cloud Providers Discovery is grayed out (50.48 KB, image/png)
2018-08-17 12:09 UTC, Danylo Kholodov
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:31 UTC

Description Milan Falešník 2015-04-17 17:58:19 UTC
Description of problem:
There is no Openstack discovery possibility both in Cloud and Infra. There is only Amazon, RHEV, VMware and Microsoft provider discovery.

Version-Release number of selected component (if applicable):
5.4.0.0.19

Comment 3 Ladislav Smola 2015-07-20 07:57:20 UTC
Can you provide any doc or description to what discovery means in this context?

Comment 4 Milan Falešník 2015-07-20 08:01:28 UTC
Discovery means you tell CFME an IP address range and kinds of providers and it will scan this IP range and add all found providers in the inventory (in UI: Cloud|Infrastructure -> Providers -> Configuration -> Discover ...)

Comment 5 Ladislav Smola 2015-07-20 11:42:15 UTC
Hm not sure if there is some usecase for this in OpenStack, since you just need IP address to keystone. 

John are there some usecases for Discovery for OpenStack providers?

Comment 7 Ladislav Smola 2017-03-27 09:00:28 UTC
@Mainn this might be relevant now. Similar to e.g. aws, we could use discovery too add multiple Regions (region per manager) in one form.

Comment 12 Chris Pelland 2017-08-28 14:50:50 UTC
This bug has been open for more than a year and is assigned to an older release of CloudForms. 

If you would like to keep this Bugzilla open and if the issue is still present in the latest version of the product, please file a new Bugzilla which will be added and assigned to the latest release of CloudForms.

Comment 13 Gilles Dubreuil 2017-10-04 05:47:31 UTC
Reopened, this is an RFE targeting a future release and therefore is not related to any current version.

Comment 16 Loic Avenel 2017-10-27 06:20:33 UTC
(In reply to Gilles Dubreuil from comment #15)
> Initial discovery for OpenStack undercloud:
> 
> https://github.com/ManageIQ/manageiq/pull/16318
> https://github.com/ManageIQ/manageiq-ui-classic/pull/2528
> 
> The following part will add authentication (re-directing).

Can we make it for Monday Dev Freeze, there is nobody assigned for review?

Comment 23 Gilles Dubreuil 2018-01-24 01:39:01 UTC
Openstack Infrastructure (Director) discovery has been added, using following Pull Requests:

https://github.com/ManageIQ/manageiq-network_discovery/pull/10
https://github.com/ManageIQ/manageiq-providers-openstack/pull/205
https://github.com/ManageIQ/manageiq/pull/16318

Comment 24 Gilles Dubreuil 2018-02-14 00:32:15 UTC
There has been structural re-factor work to the network discovery parts.
Please see  https://github.com/ManageIQ/manageiq-network_discovery/issues/8 for more information. 

The current status is:

- https://github.com/ManageIQ/manageiq-network_discovery/pull/10 is now obsolete.
- https://github.com/ManageIQ/manageiq-providers-openstack/pull/205 has been merged
- https://github.com/ManageIQ/manageiq/pull/16318 enables Openstack Infra discovery
- https://github.com/ManageIQ/manageiq/pull/16946 activates the new re-factorisation which moved the probes to respective providers.

Comment 25 Gilles Dubreuil 2018-02-14 23:54:27 UTC
There is a step back because of name space issue, where the short version is because the name 'Network' is used by ems_infra model (STI) which collide with 'ManageIQ::Network' name. Consequently the latter is renamed to 'ManageIQ::NetworkDiscovery', within following PRs:

- https://github.com/ManageIQ/manageiq-providers-openstack/pull/229
- https://github.com/ManageIQ/manageiq-providers-ovirt/pull/209
- https://github.com/ManageIQ/manageiq-providers-vmware/pull/183
- https://github.com/ManageIQ/manageiq-providers-scvmm/pull/64
- https://github.com/ManageIQ/manageiq/pull/16999

Comment 26 Gilles Dubreuil 2018-02-22 00:41:54 UTC
Network discovery relocation dust has settled down, now this ready to offer feature once https://github.com/ManageIQ/manageiq/pull/16318 has been merged.

Comment 27 Gilles Dubreuil 2018-02-25 11:41:23 UTC
https://github.com/ManageIQ/manageiq/pull/16318 has been merged.

Comment 35 Danylo Kholodov 2018-06-15 14:17:22 UTC
Verified on 5.10.0.0

Failed QA
=========

I have RHOS 11 (Undercloud, 3*Controller, 2*Compute)
   
[root@sealusa12 ~]# cat clouds.yaml 
#BEGIN HEADER
clouds:
#END HEADER
#BEGIN undercloud PARAMETERS
 undercloud:
    auth:
        auth-url: https://192.168.24.2:13000/v2.0
        password: a70331d728ece50ce274b485737c239ae8a83059
        project-name: admin
        username: admin
#END undercloud PARAMETERS
#BEGIN overcloud PARAMETERS
 overcloud:
    auth:
        auth-url: https://10.0.0.101:13000/v3
        password: QnV6VpV7MKsPbwkqf3PurUjxV
        project-name: admin
        project_domain_name: Default
        user_domain_name: Default
        username: admin
    identity_api_version: '3'
#END overcloud PARAMETERS

==================
Steps to reproduce
==================

Infrastructure Provider

1. Login to CFME
2. Browse: Compute --> Infrastructure --> Providers 
3. Click: Configuration --> Discover Infrastructure Providers
4. - Mark Openstack Infra
   - Enter Subnet Range: 192.168.24.1 , 192.168.24.10

Expected result:
Message is appeared: "Infrastructure Providers: Discovery successfully initiated"
Refresh the page and provider with IP address 192.168.24.2 is discovered

Actual result:
192.168.24.1 and 192.168.24.3 are discovered
192.168.24.2 isn't discovered 

Also I've tried to enter the specific IP range 192.168.24.2 , 192.168.24.2
Result: 192.168.24.2 doesn't discover.

--------------------------------------------

Clouds Provider

I set the Infrastructure Provider manually  

1. Browse: Compute --> Clouds --> Providers
2. Click: Configuration

Result: Discover Cloud Providers is grayed out

Comment 48 Gilles Dubreuil 2018-07-27 06:53:08 UTC
Ironic SSL port scanning is now covered:
 
https://github.com/ManageIQ/manageiq-providers-openstack/pull/326

Comment 49 Gilles Dubreuil 2018-08-08 20:34:33 UTC
PR merged upstream, back port now doable for Gaprindashvili branch.

Comment 50 Danylo Kholodov 2018-08-17 12:07:04 UTC
For Infra provider:
Verified on 5.10.0.11

For Cloud provider:
Am I right that this feature shouldn't be available for Cloud provider? So actual behavior where "Discover Cloud Providers" is grayed out is correct?

Comment 51 Danylo Kholodov 2018-08-17 12:09:02 UTC
Created attachment 1476605 [details]
Cloud Providers Discovery is grayed out

Comment 52 Marek Aufart 2018-08-17 12:47:16 UTC
Confirmed, this BZ should solve Infra provider discovery only. Cloud provider discovery needs to be implemented in a different way.

Comment 53 Danylo Kholodov 2018-08-17 13:08:00 UTC
Verified on 5.10.0.11

Comment 55 errata-xmlrpc 2019-02-07 23:02:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.